/*
 *  Copyright (C) 1999, 2000  Heikki Tauriainen <Heikki.Tauriainen@hut.fi>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef _main_h_
#define _main_h_

#include <csignal>
#include <cstdio>
#include <vector>
#include "BuchiAutomaton.h"
#include "Configuration.h"
#include "Exception.h"
#include "FormulaString.h"
#include "LtlFormula.h"
#include "ProductAutomaton.h"
#include "SinglePathIterator.h"
#include "StateSpace.h"
#include "StlConfig.h"
#include "TestOperations.h"
#include "TestRoundInfo.h"
#include "TestStatistics.h"
#include "UserInterface.h"

using namespace std;

extern Configuration configuration;

bool user_break;

#endif  /* _main_h_ */
